// import 'package:basic_flutter_theme/src/styles/styles.dart';
// import 'package:flutter/material.dart';
// import 'package:flutter/services.dart';
// import 'package:flutter_form_builder/flutter_form_builder.dart';
//
// class BasicInputs {
//   BasicInputs._();
//
//   static String _getRequiredLabel(String fieldName, {bool isRequired = false}) =>
//       "$fieldName${isRequired ? "*" : ""}";
//
//   static InputDecoration _inputDecoration({
//     String? labelText,
//     TextStyle? labelStyle,
//     String? hintText,
//     TextStyle? hintTextStyle,
//     TextStyle? floatingLabelStyle,
//     Color? backgroundColor,
//     Color? hoverColor,
//     Widget? prefixIcon,
//     Widget? suffixIcon,
//     EdgeInsetsGeometry? padding,
//     Color colorBorder = BasicAppColors.grey,
//     Color? colorBorderFocus,
//     Color colorError = BasicAppColors.red,
//     Color colorHintText = BasicAppColors.grey,
//     double widthBorder = BasicBorders.thin,
//     double borderRadius = BasicCorners.corner5,
//     double widthBorderFocus = BasicBorders.thin,
//     bool? isDense,
//   }) =>
//       InputDecoration(
//         isDense: isDense ?? true,
//         labelText: labelText,
//         labelStyle: labelStyle,
//         floatingLabelStyle: floatingLabelStyle,
//         fillColor: backgroundColor,
//         hoverColor: hoverColor,
//         filled: true,
//         prefixIcon: prefixIcon,
//         suffixIcon: suffixIcon,
//         contentPadding: padding ??
//             EdgeInsets.symmetric(
//               horizontal: BasicPaddings().p8,
//               vertical: BasicPaddings().p12,
//             ),
//         floatingLabelBehavior: FloatingLabelBehavior.always,
//         focusedBorder: OutlineInputBorder(
//           borderSide: BorderSide(
//               color: colorBorderFocus ?? BasicAppColors().primary, width: widthBorderFocus),
//           borderRadius: BorderRadius.circular(borderRadius),
//         ),
//         hintText: hintText,
//         enabledBorder: OutlineInputBorder(
//           borderSide: BorderSide(color: colorBorder, width: widthBorder),
//           borderRadius: BorderRadius.circular(borderRadius),
//         ),
//         disabledBorder: OutlineInputBorder(
//           borderSide: BorderSide(color: colorBorder, width: widthBorder),
//           borderRadius: BorderRadius.circular(borderRadius),
//         ),
//         errorBorder: OutlineInputBorder(
//           borderSide: BorderSide(color: colorError, width: widthBorder),
//           borderRadius: BorderRadius.circular(borderRadius),
//         ),
//         focusedErrorBorder: OutlineInputBorder(
//           borderSide: BorderSide(color: colorError, width: widthBorder),
//           borderRadius: BorderRadius.circular(borderRadius),
//         ),
//         hintStyle: hintTextStyle ?? BasicTextStyles.body.copyWith(color: colorHintText),
//       );
//
//   static Widget outline({
//     Key? key,
//     String? name,
//     String? initialValue,
//     TextEditingController? controller,
//     VoidCallback? onTap,
//     FormFieldSetter<String>? onSaved,
//     ValueChanged<String?>? onChanged,
//     VoidCallback? onEditingComplete,
//     List<TextInputFormatter>? inputFormatters,
//     FormFieldValidator<String>? validator,
//     void Function(String?)? onFieldSubmitted,
//     double? width,
//     double? height,
//     TextInputType? type,
//     TextInputAction? action,
//     bool? enabled,
//     bool isShow = false,
//     bool isRequired = false,
//     bool isEmail = false,
//     FocusNode? focusNode,
//     TextAlign textAlign = TextAlign.start,
//     double? fontSize,
//     Color? textColor,
//     Color? cursorColor,
//     TextStyle? textStyle,
//     List<BoxShadow>? boxShadow,
//     AutovalidateMode autoValidateMode = AutovalidateMode.disabled,
//     int? maxLines = 1,
//     int? minLines = 1,
//     int? maxLength,
//     void Function(bool)? onFocusChange,
//     ValueTransformer<String?>? valueTransformer,
//     String labelText = "",
//     TextStyle? labelStyle,
//     String hintText = "",
//     TextStyle? hintTextStyle,
//     TextStyle? floatingLabelStyle,
//     Color? backgroundColor,
//     Color? hoverColor,
//     Widget? prefixIcon,
//     Widget? suffixIcon,
//     EdgeInsetsGeometry? padding,
//     Color colorBorder = BasicAppColors.grey,
//     Color? colorBorderFocus,
//     Color colorError = BasicAppColors.red,
//     Color colorHintText = BasicAppColors.grey,
//     double widthBorder = BasicBorders.thin,
//     double widthBorderFocus = BasicBorders.thin,
//     double borderRadius = BasicCorners.corner5,
//     bool? isDense,
//   }) =>
//       Container(
//         padding: EdgeInsets.zero,
//         margin: EdgeInsets.zero,
//         height: height,
//         width: width,
//         decoration: BoxDecoration(boxShadow: boxShadow),
//         child: Focus(
//           onFocusChange: onFocusChange,
//           child: FormBuilderTextField(
//             key: key,
//             autovalidateMode: autoValidateMode,
//             valueTransformer: valueTransformer,
//             textAlign: textAlign,
//             onChanged: onChanged,
//             initialValue: initialValue,
//             onTap: onTap,
//             inputFormatters: inputFormatters,
//             onEditingComplete: onEditingComplete,
//             onSubmitted: onFieldSubmitted,
//             onSaved: onSaved,
//             maxLines: maxLines,
//             minLines: minLines,
//             maxLength: maxLength,
//             enabled: enabled ?? true,
//             controller: controller,
//             focusNode: focusNode,
//             textInputAction: action,
//             validator: validator,
//             keyboardType: type,
//             style: textStyle ??
//                 BasicTextStyles.body.copyWith(
//                   color: textColor,
//                   fontSize: fontSize,
//                 ),
//             textAlignVertical: TextAlignVertical.center,
//             obscureText: isShow,
//             cursorColor: cursorColor,
//             scrollPadding: const EdgeInsets.symmetric(horizontal: 5),
//             decoration: _inputDecoration(
//               labelText: _getRequiredLabel(labelText, isRequired: isRequired),
//               labelStyle: labelStyle,
//               hintText: _getRequiredLabel(hintText, isRequired: isRequired),
//               hintTextStyle: hintTextStyle,
//               floatingLabelStyle: floatingLabelStyle,
//               backgroundColor: backgroundColor,
//               hoverColor: hoverColor,
//               prefixIcon: prefixIcon,
//               suffixIcon: suffixIcon,
//               padding: padding,
//               colorBorder: colorBorder,
//               colorBorderFocus: colorBorderFocus,
//               colorError: colorError,
//               colorHintText: colorHintText,
//               widthBorder: widthBorder,
//               widthBorderFocus: widthBorderFocus,
//               borderRadius: borderRadius,
//               isDense: isDense,
//             ),
//             name: name ?? '',
//           ),
//         ),
//       );
//
// // static Widget inputDropdown<T>({
// //   Key? key,
// //   required List<DropdownMenuItem<T>> items,
// //   String name = '',
// //   T? initialValue,
// //   VoidCallback? onTap,
// //   FormFieldValidator<T>? validator,
// //   ValueChanged<T?>? onChanged,
// //   double? width,
// //   double? height,
// //   bool enabled = true,
// //   bool isShow = false,
// //   FocusNode? focusNode,
// //   bool isRequired = false,
// //   double? fontSize,
// //   Color? textColor,
// //   TextStyle? textStyle,
// //   Color? cursorColor,
// //   List<BoxShadow>? boxShadow,
// //   String labelText = "",
// //   TextStyle? labelStyle,
// //   String hintText = "",
// //   TextStyle? hintTextStyle,
// //   TextStyle? floatingLabelStyle,
// //   Color? backgroundColor,
// //   Color? hoverColor,
// //   Widget? prefixIcon,
// //   Widget? suffixIcon,
// //   EdgeInsetsGeometry? padding,
// //   Color colorBorder = BasicAppColors.grey,
// //   Color? colorBorderFocus,
// //   Color colorError = BasicAppColors.red,
// //   Color colorHintText = BasicAppColors.grey,
// //   double widthBorder = BasicBorders.thin,
// //   double widthBorderFocus = BasicBorders.thin,
// //   double borderRadius = BasicCorners.corner5,
// //   bool? isDense,
// // }) =>
// //     Container(
// //       key: key,
// //       padding: EdgeInsets.zero,
// //       margin: EdgeInsets.zero,
// //       height: height,
// //       width: width,
// //       decoration: BoxDecoration(
// //         boxShadow: boxShadow,
// //       ),
// //       child: FormBuilderDropdown<T>(
// //         initialValue: initialValue,
// //         items: items,
// //         onChanged: onChanged,
// //         onTap: onTap,
// //         enabled: enabled,
// //         focusNode: focusNode,
// //         style: textStyle ??
// //             BasicTextStyles.body.copyWith(
// //               color: textColor,
// //               fontSize: fontSize,
// //             ),
// //         validator: validator,
// //         dropdownColor: backgroundColor,
// //         iconEnabledColor: colorBorder,
// //         decoration: _inputDecoration(
// //           labelText: _getRequiredLabel(labelText, isRequired: isRequired),
// //           labelStyle: labelStyle,
// //           hintText: _getRequiredLabel(hintText, isRequired: isRequired),
// //           hintTextStyle: hintTextStyle,
// //           floatingLabelStyle: floatingLabelStyle,
// //           backgroundColor: backgroundColor,
// //           hoverColor: hoverColor,
// //           prefixIcon: prefixIcon,
// //           suffixIcon: suffixIcon,
// //           padding: padding,
// //           colorBorder: colorBorder,
// //           colorBorderFocus: colorBorderFocus,
// //           colorError: colorError,
// //           colorHintText: colorHintText,
// //           widthBorder: widthBorder,
// //           widthBorderFocus: widthBorderFocus,
// //           borderRadius: borderRadius,
// //           isDense: isDense,
// //         ),
// //         name: name,
// //       ),
// //     );
// //
// // static Widget inputSelectDateTime({
// //   Key? key,
// //   String name = "",
// //   DateTime? initialDate,
// //   TextEditingController? controller,
// //   VoidCallback? onEditingComplete,
// //   String? Function(DateTime?)? validator,
// //   double? width,
// //   double? height,
// //   TextInputAction? action,
// //   bool? enabled,
// //   bool isShow = false,
// //   FocusNode? focusNode,
// //   TextAlign textAlign = TextAlign.start,
// //   bool isRequired = false,
// //   double? fontSize,
// //   Color? textColor,
// //   Color? cursorColor,
// //   TextStyle? textStyle,
// //   ValueChanged<DateTime?>? onChanged,
// //   List<BoxShadow>? boxShadow,
// //   DateTime? firstDate,
// //   DateTime? lastDate,
// //   InputType inputType = InputType.both,
// //   String labelText = "",
// //   TextStyle? labelStyle,
// //   String hintText = "",
// //   TextStyle? hintTextStyle,
// //   TextStyle? floatingLabelStyle,
// //   Color? backgroundColor,
// //   Color? hoverColor,
// //   Widget? prefixIcon,
// //   Widget? suffixIcon,
// //   EdgeInsetsGeometry? padding,
// //   Color colorBorder = BasicAppColors.grey,
// //   Color? colorBorderFocus,
// //   Color colorError = BasicAppColors.red,
// //   Color colorHintText = BasicAppColors.grey,
// //   double widthBorder = BasicBorders.thin,
// //   double widthBorderFocus = BasicBorders.thin,
// //   double borderRadius = BasicCorners.corner5,
// //   bool? isDense,
// // }) =>
// //     Container(
// //       key: key,
// //       padding: EdgeInsets.zero,
// //       margin: EdgeInsets.zero,
// //       height: height,
// //       width: width,
// //       decoration: BoxDecoration(
// //         boxShadow: boxShadow,
// //       ),
// //       child: FormBuilderDateTimePicker(
// //         firstDate: firstDate,
// //         lastDate: lastDate,
// //         initialDate: initialDate,
// //         textAlign: textAlign,
// //         onEditingComplete: onEditingComplete,
// //         maxLines: 1,
// //         minLines: 1,
// //         onChanged: onChanged,
// //         initialValue: initialDate,
// //         format: inputType == InputType.both
// //             ? DateFormat('dd/MM/yyyy HH:mm')
// //             : inputType == InputType.date
// //                 ? DateFormat('dd/MM/yyyy')
// //                 : DateFormat('HH:mm'),
// //         inputType: inputType,
// //         enabled: enabled ?? true,
// //         controller: controller,
// //         focusNode: focusNode,
// //         textInputAction: action,
// //         validator: validator,
// //         style: textStyle ??
// //             BasicTextStyles.body.copyWith(
// //               color: textColor,
// //               fontSize: fontSize,
// //             ),
// //         obscureText: isShow,
// //         cursorColor: cursorColor,
// //         scrollPadding: const EdgeInsets.symmetric(horizontal: 5),
// //         decoration: _inputDecoration(
// //           labelText: _getRequiredLabel(labelText, isRequired: isRequired),
// //           labelStyle: labelStyle,
// //           hintText: _getRequiredLabel(hintText, isRequired: isRequired),
// //           hintTextStyle: hintTextStyle,
// //           floatingLabelStyle: floatingLabelStyle,
// //           backgroundColor: backgroundColor,
// //           hoverColor: hoverColor,
// //           prefixIcon: prefixIcon,
// //           suffixIcon: suffixIcon ??
// //               (inputType == InputType.time
// //                   ? const Icon(
// //                       Icons.access_time,
// //                       color: BasicAppColors.grey,
// //                     )
// //                   : const Icon(
// //                       Icons.calendar_month,
// //                       color: BasicAppColors.grey,
// //                     )),
// //           padding: padding,
// //           colorBorder: colorBorder,
// //           colorBorderFocus: colorBorderFocus,
// //           colorError: colorError,
// //           colorHintText: colorHintText,
// //           widthBorder: widthBorder,
// //           widthBorderFocus: widthBorderFocus,
// //           borderRadius: borderRadius,
// //           isDense: isDense,
// //         ),
// //         name: name,
// //       ),
// //     );
// //
// // static Widget inputTypeAhead({
// //   Key? key,
// //   double? height,
// //   double? width,
// //   List<BoxShadow>? boxShadow,
// //   required void Function(dynamic) onSuggestionSelected,
// //   required Widget Function(BuildContext, dynamic) itemBuilder,
// //   required FutureOr<Iterable<dynamic>> Function(String) suggestionsCallback,
// //   TextEditingController? controller,
// //   Function(dynamic)? onChanged,
// //   Color? cursorColor,
// //   TextStyle? textStyle,
// //   TextInputAction? action,
// //   TextAlign textAlign = TextAlign.start,
// //   bool isRequired = false,
// //   double? fontSize,
// //   Color? textColor,
// //   void Function(bool)? onFocusChange,
// //   String labelText = "",
// //   TextStyle? labelStyle,
// //   String hintText = "",
// //   TextStyle? hintTextStyle,
// //   TextStyle? floatingLabelStyle,
// //   Color? backgroundColor,
// //   Color? hoverColor,
// //   Widget? prefixIcon,
// //   Widget? suffixIcon,
// //   EdgeInsetsGeometry? padding,
// //   Color colorBorder = BasicAppColors.grey,
// //   Color? colorBorderFocus,
// //   Color colorError = BasicAppColors.red,
// //   Color colorHintText = BasicAppColors.grey,
// //   double widthBorder = BasicBorders.thin,
// //   double widthBorderFocus = BasicBorders.thin,
// //   double borderRadius = BasicCorners.corner5,
// //   bool? isDense,
// // }) =>
// //     Container(
// //       key: key,
// //       padding: EdgeInsets.zero,
// //       margin: EdgeInsets.zero,
// //       height: height,
// //       width: width,
// //       decoration: BoxDecoration(
// //         boxShadow: boxShadow,
// //       ),
// //       child: Focus(
// //         onFocusChange: onFocusChange,
// //         child: TypeAheadField(
// //           onSuggestionSelected: onSuggestionSelected,
// //           itemBuilder: itemBuilder,
// //           suggestionsCallback: suggestionsCallback,
// //           hideOnEmpty: true,
// //           noItemsFoundBuilder: (BuildContext context) => const SizedBox.shrink(),
// //           errorBuilder: (BuildContext context, Object? error) =>
// //               Text('$error', style: TextStyle(color: Theme.of(context).errorColor)),
// //           textFieldConfiguration: TextFieldConfiguration(
// //             controller: controller,
// //             onChanged: onChanged,
// //             decoration: _inputDecoration(
// //               labelText: _getRequiredLabel(labelText, isRequired: isRequired),
// //               labelStyle: labelStyle,
// //               hintText: _getRequiredLabel(hintText, isRequired: isRequired),
// //               hintTextStyle: hintTextStyle,
// //               floatingLabelStyle: floatingLabelStyle,
// //               backgroundColor: backgroundColor,
// //               hoverColor: hoverColor,
// //               prefixIcon: prefixIcon,
// //               suffixIcon: suffixIcon,
// //               padding: padding ?? EdgeInsets.symmetric(horizontal: BasicPaddings().p12),
// //               colorBorder: colorBorder,
// //               colorBorderFocus: colorBorderFocus,
// //               colorError: colorError,
// //               colorHintText: colorHintText,
// //               widthBorder: widthBorder,
// //               widthBorderFocus: widthBorderFocus,
// //               borderRadius: borderRadius,
// //               isDense: isDense,
// //             ),
// //           ),
// //         ),
// //       ),
// //     );
// }
